GCLOUD_COMPUTE_INSTANCE-GROUPS_MANAGED_SET-AUTOSCALING(1)

NAME

gcloud compute instance-groups managed set-autoscaling - set autoscaling parameters of a managed instance group

SYNOPSIS

gcloud compute instance-groups managed set-autoscaling NAME --max-num-replicas MAX_NUM_REPLICAS [--cool-down-period COOL_DOWN_PERIOD] [--custom-metric-utilization [PROPERTY=VALUE,...]] [--description DESCRIPTION] [--min-num-replicas MIN_NUM_REPLICAS] [--scale-based-on-cpu] [--scale-based-on-load-balancing] [--target-cpu-utilization TARGET_CPU_UTILIZATION] [--target-load-balancing-utilization TARGET_LOAD_BALANCING_UTILIZATION] [--zone ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute instance-groups managed set-autoscaling sets autoscaling parameters of specified managed instance group.

POSITIONAL ARGUMENTS
NAME
    Managed instance group which autoscaling parameters will be set.

REQUIRED FLAGS
--max-num-replicas MAX_NUM_REPLICAS
    Maximum number of replicas Autoscaler will set.

OPTIONAL FLAGS
--cool-down-period COOL_DOWN_PERIOD
    Number of seconds Autoscaler will wait between resizing collection.
--custom-metric-utilization [PROPERTY=VALUE,...]
    Adds a target metric value for the to the Autoscaler. metric
        Protocol-free URL of a Google Cloud Monitoring metric.
    utilization-target
        Value of the metric Autoscaler will aim to maintain (greater than 0.0).
    utilization-target-type
        How target is expressed. Valid values: DELTA_PER_MINUTE, DELTA_PER_SECOND, GAUGE.
--description DESCRIPTION
    Notes about Autoscaler.
--min-num-replicas MIN_NUM_REPLICAS
    Minimum number of replicas Autoscaler will set.
--scale-based-on-cpu
    Use autoscaling based on cpu utilization.
--scale-based-on-load-balancing
    Use autoscaling based on load balancing utilization.
--target-cpu-utilization TARGET_CPU_UTILIZATION
    CPU utilization level Autoscaler will aim to maintain (0.0 to 1.0).
--target-load-balancing-utilization TARGET_LOAD_BALANCING_UTILIZATION
    Load balancing utilization level Autoscaler will aim to maintain (greater than 0.0).
--zone ZONE
    The zone of the resources to update. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.